Get a voice
curl --request GET \
--url https://api.heymilo.ai/api/v2/voices/{voice_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.heymilo.ai/api/v2/voices/{voice_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.heymilo.ai/api/v2/voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wrv-abc123",
"provider": "elevenlabs",
"provider_voice_id": "EXAVITQu4vr4xnSDxMaL",
"name": "Sarah",
"created_at": 1739612400,
"updated_at": 1739617200,
"object": "voice",
"language": "en",
"country_code": "US",
"gender": "female",
"preview_url": "<string>",
"labels": {}
},
"meta": {}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_error",
"message": "The request body failed validation",
"param": "<string>",
"doc_url": "<string>",
"errors": [
{
"code": "invalid_param",
"message": "title must be between 3 and 200 characters",
"param": "title"
}
]
}
}Get a voice
Returns a single voice from the workspace registry by ID.
GET
/
api
/
v2
/
voices
/
{voice_id}
Get a voice
Authorizations
API key for authentication. Pass your key in the X-API-KEY header.
Path Parameters
Response
Successful Response
A voice from the workspace voice registry.
Voices are added from external providers (ElevenLabs, Cartesia, LMNT)
and stored in the workspace registry. The id (prefixed wrv-)
is used in posting configs as voice_id.
Show child attributes
Show child attributes
Optional metadata. Shape varies by endpoint.
Was this page helpful?
⌘I